Skip to content
Permalink
Browse files

debian packaging update

* sync other branches
* avoid testing and installing twice
* manually merge PR#2524
  • Loading branch information
jef-n committed Dec 5, 2015
1 parent 5f86422 commit d362be5d1e6c461bbf5fd40fa1e5b578ea304772
Showing with 29 additions and 17 deletions.
  1. +6 −5 debian/control.in
  2. +23 −12 debian/rules
@@ -7,6 +7,7 @@ Build-Depends:
bison,
cmake (>= 2.8),
#sid stretch jessie wheezy saucy trusty utopic vivid wily# debhelper (>= 9),
#sid stretch jessie trusty vivid wily# dh-python,
#precise# debhelper (>= 7),
flex,
grass-dev,
@@ -16,8 +17,9 @@ Build-Depends:
#precise# libgdal-dev (>= 1.9.0) | libgdal1-dev (<< 1.9.0),
#saucy# libgdal-dev (>= 1.9.0),
#wheezy# libgdal1-dev,
python-gdal,
libgeos-dev (>= 3.0.0),
libgsl0-dev,
libgsl-dev | libgsl0-dev,
libpq-dev,
libproj-dev,
libqt4-dev (>= 4.7.0),
@@ -26,7 +28,7 @@ Build-Depends:
libqca2-plugin-ossl,
libqtwebkit-dev,
#stretch jessie wheezy# libqwt-dev,
#precise saucy trusty utopic vivid wily stretch sid# libqwt5-qt4-dev,
#precise saucy trusty utopic vivid wily sid# libqwt5-qt4-dev,
libspatialite-dev,
libsqlite3-dev,
libspatialindex-dev,
@@ -41,9 +43,8 @@ Build-Depends:
#saucy wheezy# python-dev,
#saucy# libpython2.7-dev,
#sid stretch jessie trusty utopic vivid wily# python-all (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~),
#sid stretch jessie# pyqt4.qsci-dev,
#sid stretch jessie wily# pyqt4.qsci-dev,
#sid stretch jessie trusty utopic vivid wily# python-pyspatialite,
#sid stretch# dh-python,
python-sip (>= 4.5.0),
python-sip-dev (>= 4.5.0),
libosgearth-dev,
@@ -241,7 +242,7 @@ Depends:
#saucy# libgdal-dev (>= 1.9.0),
#wheezy# libgdal1-dev,
libgeos-dev (>= 3.0.0),
libgsl0-dev,
libgsl-dev | libgsl0-dev,
libpq-dev,
libproj-dev,
libqgis-app{QGIS_ABI} (= ${binary:Version}),
@@ -16,9 +16,9 @@ DEB_BUILD_MULTIARCH ?= $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
QT_PLUGIN_DIR = usr/lib/$(DEB_BUILD_MULTIARCH)/qt4/plugins

DEB_TEST_TARGET ?= Experimental
BUILDDIR ?= debian/build
QGIS_BUILDDIR ?= debian/build

QGIS_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
QGIS_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \([0-9]\+:\)\?\([^+-]\+\).*$$/\2/p')

ifeq (,$(DISTRIBUTION))
DISTRIBUTION := $(shell dpkg-parsechangelog --format rfc822 | sed -ne "s/^Distribution: //p")
@@ -148,6 +148,7 @@ ifneq (,$(findstring profile,$(DEB_BUILD_OPTIONS)))
LDFLAGS += -pg
endif


# multi distribution support:
# - remove lines with applicable excludes
# - remove prefixes with applicable includes
@@ -189,8 +190,13 @@ cleantemplates:
$(MAKE) -f debian/rules templateclean
$(MAKE) -f debian/rules debian/control debian/compat

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
dh $@ --with python2 --parallel --builddirectory=$(BUILDDIR)
build: ;

binary binary-arch binary-indep build-arch build-indep clean install install-arch install-indep:
dh $@ --with python2 --parallel --builddirectory=$(QGIS_BUILDDIR)

override_dh_auto_build-arch:
dh_auto_build

override_dh_clean: cleantemplates
dh_clean
@@ -199,27 +205,32 @@ override_dh_clean: cleantemplates
-$(RM) $(CURDIR)/src/core/qgscontexthelp_texts.cpp
-$(RM) $(CURDIR)/src/core/qgsexpression_texts.cpp

-$(RM) -r $(CURDIR)/$(BUILDDIR)/
-$(RM) -r $(CURDIR)/$(QGIS_BUILDDIR)/

override_dh_auto_configure: templates
override_dh_auto_configure-arch: templates
dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
# Code to run the package test suite - and ignore the outcome for now
mkdir -p debian/tmp/locale/
localedef -f UTF-8 -i en_US ./debian/tmp/locale/en_US.UTF-8/
-LOCPATH=$(CURDIR)/debian/tmp/locale/ \
LC_ALL=en_US.UTF-8 \
LD_LIBRARY_PATH=$(CURDIR)/$(BUILDDIR)/output/lib:$(LD_LIBRARY_PATH) \
LD_LIBRARY_PATH=$(CURDIR)/$(QGIS_BUILDDIR)/output/lib:$(LD_LIBRARY_PATH) \
PATH=/usr/sbin:$(PATH) \
$(TESTMAKE) -C $(BUILDDIR) $(DEB_TEST_TARGET)
$(TESTMAKE) -C $(QGIS_BUILDDIR) $(DEB_TEST_TARGET)
else
override_dh_auto_test:
@echo Skipping tests.
endif

override_dh_auto_install:
override_dh_auto_configure-indep: ;
override_dh_auto_test-indep: ;
override_dh_auto_install-indep: ;
override_dh_auto_build-indep: ;
override_dh_install-indep: ;

override_dh_auto_install-arch:
dh_auto_install

# Install menu pixmap
@@ -273,7 +284,7 @@ override_dh_auto_install:
install -o root -g root -m 755 $(CURDIR)/debian/qgis.sh $(CURDIR)/debian/qgis-plugin-grass/usr/bin/qgis
install -o root -g root -m 755 $(CURDIR)/debian/qgis.sh $(CURDIR)/debian/qgis-plugin-grass/usr/bin/qbrowser

override_dh_install:
override_dh_install-arch:
# Don't ship srs.db, automatically updated in postinst with crssync
mv $(CURDIR)/debian/tmp/usr/share/qgis/resources/srs.db $(CURDIR)/debian/tmp/usr/share/qgis/resources/srs-template.db

0 comments on commit d362be5

Please sign in to comment.
You can’t perform that action at this time.